PUT /api/v202507/bill/batch/{batchId}

Moves a set of bills from their current batch to a specified open or pending batch

MoveBatchV202507 Permissions: BillsAndBatches (Manage)
Use this endpoint to reassign bills to a different batch. All bills must currently be in the same batch. The destination batch must be open or pending. Moving from pending to open unvoids the bills; moving from open/closed to pending voids the bills. If bills were in a closed batch and downstream processes (exports, etc.) already ran, those processes are not reversed.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
batchId Unique numeric identifier of the destination batch (must be open or pending) integer (int32) Required

Request Body

Array of:

Type: integer (int32)

Example Request Body application/json
[
  1
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

UpdateResult
Property Description Type
selected The total number of items that were targeted by the bulk operation Required (defined) integer (int32)
updated The number of items that were actually modified (excludes items that already matched the target state) Required (defined) integer (int32)
Example Response application/json
{  "selected": 1,  "updated": 1
}